Package twisted :: Package protocols :: Module imap4 :: Class INamespacePresenter |
[frames | no frames]

## Class INamespacePresenter

    Interface --+
                |
               INamespacePresenter

Method Summary
iterable of two-tuples of strings | ``getPersonalNamespaces`(self)` Report the available personal namespaces.
iterable of two-tuples of strings | ``getSharedNamespaces`(self)` Report the available shared namespaces.
iterable of two-tuples of strings | ``getUserNamespaces`(self)` Report the available user namespaces.

Method Details

### getPersonalNamespaces(self) Report the available personal namespaces. Typically there should be only one personal namespace. A common name for it is "", and its hierarchical delimiter is usually "/". Returns: The personal namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned. (type=iterable of two-tuples of strings)

### getSharedNamespaces(self) Report the available shared namespaces. Shared namespaces do not belong to any individual user but are usually to one or more of them. Examples of shared namespaces might be "#news" for a usenet gateway. Returns: The shared namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned. (type=iterable of two-tuples of strings)

### getUserNamespaces(self) Report the available user namespaces. These are namespaces that contain folders belonging to other users access to which this account has been granted. Returns: The user namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned. (type=iterable of two-tuples of strings)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net